Subject: Comment on RFC1049

From: Mike Cowperthwaite <[email-masked]>
Date: Tue, 08 Aug 2006 14:36:08 -0700

==========================
Per RFC4249 sec 3.2.2:

Some fields are mandatory, others are optional.  It may make sense to 
permit multiple instances of a field in a given header; in other cases, 
at most a single instance is sensible.  RFC2822 specifies a minimum and 
maximum count per header for each standard field in a message; 
specification authors should likewise specify minimum and maximum counts 
for extension fields.
==========================

I would like to see RFC1049 expanded to specifically state that only a 
single Content-Type header field is legal.

I've been triaging bugs for the Mozilla project's mail clients, and one 
of these bug reports complains about Mozilla's display of certain 
messages from eBay.  The message format from these messages includes two 
Content-Type headers, the first being a wholly proprietary one on eBay's 
part.

See: <https://bugzilla.mozilla.org/show_bug.cgi?id=338675>

While Mozilla probably could have a more intelligent handling of the 
multiple-header case, it would be useful to be able to point to an RFC 
when trying to convince eBay to stop generating messages with this 
silliness.  (One user who has been in contact with eBay states that 
eBay's response is essentially: Microsoft's client displays messages 
correctly, so we don't need to change.)

Thanks for your attention.

-- 
Mike Cowperthwaite
[email-masked]